@import "src/assets/styles/_for-react-components.scss";

$transition-btn: 0.3s;

$parent: "react-button-arrow";

@include block($parent) {
  display: flex;
  justify-content: center;
  align-items: center;
  outline: none;
  width: rem(40);
  height: rem(40);
  border: 0;
  border-radius: rem(20);
  background-color: var(--color-biege-100);
  transition: background-color $transition-btn;

  @include min-media('t') {
    width: rem(48);
    height: rem(48);
    border-radius: rem(24);
  }

  &::before {
    content: "";
    display: block;
    width: rem(4);
    height: rem(4);
    border: solid var(--color-grey-500);
    border-width: 0 1px 1px 0;
    padding: 0;
    transform: rotate(-45deg);
    position: relative;
    right: 1px;
  }

  @media (hover: hover) {
    &:hover {
      background-color: var(--color-biege-200);
    }
  }
}
